// =====================================================================
//  $Id: TRunResumeCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TRunResumeCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunResumeCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/resume";
static const Tstring _desc = "resume a run loop, restart event loop.";

TRunResumeCommand::TRunResumeCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TRunResumeCommand::~TRunResumeCommand()
{;}

Tvoid TRunResumeCommand::Execute( const TstringList& arguments )
{
  theRunManager -> ResumeRun();
  return;
}
